---
title: Get Custom Hostname Quota
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Custom Hostnames](https://developers.cloudflare.com/api/go/resources/custom_hostnames)

[Quota](https://developers.cloudflare.com/api/go/resources/custom_hostnames/subresources/quota)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Custom Hostname Quota

client.CustomHostnames.Quota.Get(ctx, query) (\*[QuotaGetResponse](<https://developers.cloudflare.com/api/go/resources/custom_hostnames#(resource)%20custom_hostnames.quota%20%3E%20(model)%20QuotaGetResponse%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/custom\_hostnames/quota

Returns custom hostname quota usage for a zone. The allocated quota is a soft limit; creating custom hostnames after usage exceeds this limit can still succeed until the hard cap is reached. Use the exceeded and hard\_cap fields to track when usage is above the soft limit and when new custom hostname creation will be rejected.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`SSL and Certificates Write``SSL and Certificates Read`

##### ParametersExpand Collapse

<details>

<summary>

query QuotaGetParams

</summary>

ZoneID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20custom_hostnames.quota%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20custom_hostnames.quota%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type QuotaGetResponse struct{…}

</summary>

Allocated int64

The allocated custom hostname quota.

formatint64

<a href="#(resource)%20custom_hostnames.quota%20%3E%20(model)%20QuotaGetResponse%20%3E%20(schema)%20%3E%20(property)%20allocated">Link to this property</a>

Exceeded bool

Whether the current usage has exceeded the allocated quota.

<a href="#(resource)%20custom_hostnames.quota%20%3E%20(model)%20QuotaGetResponse%20%3E%20(schema)%20%3E%20(property)%20exceeded">Link to this property</a>

HardCap int64

The maximum number of custom hostnames allowed before create requests are rejected.

formatint64

<a href="#(resource)%20custom_hostnames.quota%20%3E%20(model)%20QuotaGetResponse%20%3E%20(schema)%20%3E%20(property)%20hard_cap">Link to this property</a>

Used int64

The number of custom hostnames currently in use.

formatint64

<a href="#(resource)%20custom_hostnames.quota%20%3E%20(model)%20QuotaGetResponse%20%3E%20(schema)%20%3E%20(property)%20used">Link to this property</a>

</details>

[Link to this property](<#(resource)%20custom_hostnames.quota%20%3E%20(model)%20QuotaGetResponse%20%3E%20(schema)>)

### Get Custom Hostname Quota

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/custom_hostnames"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  quota, err := client.CustomHostnames.Quota.Get(context.TODO(), custom_hostnames.QuotaGetParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", quota.Allocated)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "success": true,
  "result": {
    "allocated": 100,
    "exceeded": false,
    "hard_cap": 200,
    "used": 50
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "success": true,
  "result": {
    "allocated": 100,
    "exceeded": false,
    "hard_cap": 200,
    "used": 50
  }
}
```